cascading.flow.hadoop

## Class FlowMapper

- java.lang.Object
- - cascading.flow.hadoop.FlowMapper

- All Implemented Interfaces:
    org.apache.hadoop.mapred.JobConfigurable, org.apache.hadoop.mapred.MapRunnable

      public class FlowMapper
      extends java.lang.Object
      implements org.apache.hadoop.mapred.MapRunnable

  Class FlowMapper is the Hadoop Mapper implementation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowMapper()` Constructor FlowMapper creates a new FlowMapper instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(org.apache.hadoop.mapred.JobConf jobConf)`
    `void` | `run(org.apache.hadoop.mapred.RecordReader input, org.apache.hadoop.mapred.OutputCollector output, org.apache.hadoop.mapred.Reporter reporter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowMapper

          public FlowMapper()

      Constructor FlowMapper creates a new FlowMapper instance.

  - ### Method Detail

    - #### configure

          public void configure(org.apache.hadoop.mapred.JobConf jobConf)

      Specified by:
        `configure` in interface `org.apache.hadoop.mapred.JobConfigurable`

    - #### run

          public void run(org.apache.hadoop.mapred.RecordReader input,
                 org.apache.hadoop.mapred.OutputCollector output,
                 org.apache.hadoop.mapred.Reporter reporter)
                   throws java.io.IOException

      Specified by:
        `run` in interface `org.apache.hadoop.mapred.MapRunnable`
      Throws:
        `java.io.IOException`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.